#include "LoRa_E22.h"
#include <SoftwareSerial.h>
SoftwareSerial mySerial(10, 11);
LoRa_E22 e32ttl(&mySerial);

#define BUTON_PIN 5

struct Signal {
  char type[15] = "LoRa Test";
  byte temp[4];
  byte role[4];
} data;

void setup() {
  pinMode(BUTON_PIN, INPUT_PULLUP);
  Serial.begin(9600);
  e32ttl.begin();
  delay(500);
}

void loop() {
  *(float*)(data.temp) = float(12.34);
  *(int*)(data.role) = int(!digitalRead(BUTON_PIN));
  Serial.print("buton: ");
  Serial.println(int(!digitalRead(BUTON_PIN)));

  ResponseStatus rs = e32ttl.sendFixedMessage(0, 44, 25, &data, sizeof(Signal));
  Serial.println(rs.getResponseDescription());
  delay(1500);

  while (e32ttl.available()  > 1) {
    ResponseStructContainer rsc = e32ttl.receiveMessage(sizeof(Signal));
    struct Signal data = *(Signal*) rsc.data;

    Serial.print("Yer: ");
    Serial.println(data.type);
    Serial.print("Ortam Sıcaklığı: ");
    Serial.println(*(float*)(data.temp));
    Serial.print("role: ");
    Serial.println(*(int*)(data.role));
    rsc.close();
  }
}
