#include "LoRa_E22.h"
#include <SoftwareSerial.h>
SoftwareSerial mySerial(10, 11);
LoRa_E22 e32ttl(&mySerial);

#define ROLE_PIN A3

struct Signal {
  char type[15] = "Bahce";
  byte temp[4];
  byte role[4];
} data;


void setup()
{
  pinMode(ROLE_PIN, OUTPUT);
  Serial.begin(9600);
  Serial.println("Test");
  e32ttl.begin();
  delay(500);
}

void loop()
{
  delay(1000);

  digitalWrite(ROLE_PIN, 0);

  *(float*)(data.temp) = 63;
  *(int*)(data.role) = int(digitalRead(ROLE_PIN));

  ResponseStatus rs = e32ttl.sendFixedMessage(0, 63, 23, &data, sizeof(Signal));
  Serial.println(rs.getResponseDescription());

  Serial.println(*(float*)(data.temp));
  Serial.println(*(int*)(data.role));

  while (e32ttl.available()) {
    ResponseStructContainer rsc = e32ttl.receiveMessage(sizeof(Signal));
    struct Signal data = *(Signal*) rsc.data;

    Serial.print("Yer: ");
    Serial.println(data.type);
    Serial.print("Ortam Sıcaklığı: ");
    Serial.println(*(float*)(data.temp));
    Serial.print("buton: ");
    Serial.println(*(int*)(data.role));
    rsc.close();
  }
}
